<?php

namespace KupShop\DynamicRelatedProductsBundle\AdminRegister;

use KupShop\AdminBundle\AdminRegister\AdminRegister;
use KupShop\AdminBundle\AdminRegister\IAdminRegisterDynamic;
use KupShop\AdminBundle\AdminRegister\IAdminRegisterStatic;

class DynamicRelatedProductsAdminRegister extends AdminRegister implements IAdminRegisterDynamic, IAdminRegisterStatic
{
    public function getDynamicMenu(): array
    {
        return [
            static::createMenuItem('productsMenu',
                [
                    'name' => 'DynamicRelatedProducts',
                    'title' => translate('DynamicRelatedProducts', 'navigation'),
                    'left' => 's=menu.php&type=DynamicRelatedProducts',
                    'right' => 's=list.php&type=DynamicRelatedProducts',
                ]),
        ];
    }

    public static function getPermissions(): array
    {
        return [
            static::createPermissions('DynamicRelatedProducts', [], ['DYNAMIC_RELATED_PRODUCTS']),
        ];
    }
}
